#%define date    %(echo `date +"%y%m%d"`)

%define name		xine-ui
%define version		0.99.6
#%define release	%{date}
%define release		b1

%define libname		xine-lib
%define libvers		1

%define skindir		%{_datadir}/xine/skins
%define deskdir		%{_datadir}/xine/desktop

%define	ginstall	install -c

Name:		%{name}
Summary:	A Free Audio/Video Player.
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Applications/Multimedia
Source:		http://xinehq.de/files/%{name}-%{version}.tar.bz2
URL:		http://xinehq.de
Obsoletes:	xine
Requires:	%{libname} >= %{libvers}
BuildPreReq:	%{libname}-devel >= %{libvers}
BuildRoot:	%{_tmppath}/%{name}-buildroot

BuildRequires:	ncurses-devel
BuildArchitectures: i586

%description
xine is a fully-featured free audio/video player for unix-like systems which
uses libxine for audio/video decoding and playback. For more informations on
what formats are supported, please refer to the libxine documentation.


%prep
%setup -n %{name}-%{version}

docdir=%{_docdir}
export docdir
# change for lsf conform architectures
if [ "${docdir}" = "/usr/share/doc/packages" ] ; then
   mv configure.ac configure.ac.save
   cat configure.ac.save | sed  -e "s/\${datadir}\/doc\/xine-ui/\${datadir}\/doc\/packages\/xine-ui/g" > configure.ac
fi

%build
export CFLAGS="%{optflags}"

if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./autogen.sh
fi

# change for lsf conform architectures
if [ "${docdir}" = "/usr/share/doc/packages" ] ; then
   mv configure configure.save
   cat configure.save | sed  -e "s/\${datadir}\/doc\/xine-ui/\${datadir}\/doc\/packages\/xine-ui/g" > configure
fi

#
# currently we do not use %%configure as it seems to cause trouble with
# certain automake produced configure scripts - depending on automake version.
#
./configure --build=%{_target_platform} --prefix=%{_prefix} \
	    --exec-prefix=%{_exec_prefix} --bindir=%{_bindir} \
	    --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} \
	    --datadir=%{_datadir} --includedir=%{_includedir} \
	    --libdir=%{_libdir} --libexecdir=%{_libexecdir} \
	    --localstatedir=%{_localstatedir} \
	    --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} \
	    --infodir=%{_infodir} --disable-lirc
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{?buildroot:%{buildroot}} install
#install -m 644 misc/desktops/xine.wmconfig %{?buildroot:%{buildroot}}%{deskdir}/

%{ginstall} -m 755 -o 0 -g 0 -d ${RPM_BUILD_ROOT}/usr/share/applications/
%{ginstall} -m 644 -o 0 -g 0 misc/xine.desktop ${RPM_BUILD_ROOT}/usr/share/applications/


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%doc %{_docdir}/*
#%doc %{_datadir}/doc/xitk/*
%{_bindir}/*xine*
%{skindir}/*
%{deskdir}/*
%{_datadir}/pixmaps/*
%{_datadir}/xine/visuals/*
#%lang(de) %{_mandir}/de/man1/*
#%lang(fr) %{_mandir}/fr/man1/*
#%lang(es) %{_mandir}/es/man1/*
#%lang(pl) %{_mandir}/pl/man1/*
#%{_mandir}/man1/*
%{_datadir}/locale/*
/usr/share/applications/*


%changelog
* Thu Apr 8 2010 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 0.99.6
* Thu May 10 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 0.99.5
* Mon Aug 1 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 0.99.4
* Sun Dec 19 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 0.99.3
* Mon Jul 5 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 0.99.2
* Sat Apr 17 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 0.99.1
* Mon Mar 22 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed KDE Menu for KDE-3.2
* Fri Feb 20 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed KDE Menu for KDE-3.2
* Sat Jan 24 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 0.9.23
* Sat Aug 9 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 0.9.22
* Sat May 24 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from http://cambuca.ldhs.cetuc.puc-rio.br/xine/
- xine-ui-0.9.20cvs-030514.src.rpm
